Page MenuHomePhabricator

Alterations to the Special:Block UI if partial blocks is disabled
Closed, ResolvedPublic

Description

After T202773 releases, some wikis will have Partial Block functionality disabled. There will be some minor UI changes that happen:

We should make these alterations before T202773 deploys:

  • The 'Prevent editing' (or soon to be 'Editing') checkbox should be checked and marked as disabled

Event Timeline

TBolliger triaged this task as Normal priority.Jan 4 2019, 7:27 PM
TBolliger created this task.
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptJan 4 2019, 7:27 PM

Based on what's in Special:Preferences, there is (more information)and (learn more) Both are lower case and all the text between the parentheses is linked. I prefer 'learn more' personally but am open to alternates.

TBolliger updated the task description. (Show Details)Jan 4 2019, 7:39 PM

Change 482332 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/core@master] Update the design of Special:Block

https://gerrit.wikimedia.org/r/482332

Disabling the checkbox and using a link instead of a tooltip looks like this:


(Labels have also been updated in accordance with the discussion on T202773)

Yikes, I hate that link there. Let's remove it and continue working in T213101: Add help text to Special:Block for Partial Blocks

Otherwise the checkbox state looks good in the screenshot.

Link removed:

TBolliger updated the task description. (Show Details)Jan 7 2019, 6:47 PM

🚢 ship it!

Change 482332 merged by jenkins-bot:
[mediawiki/core@master] Update the design of Special:Block

https://gerrit.wikimedia.org/r/482332

dbarratt closed this task as Resolved.Jan 9 2019, 3:35 PM